package de.yannicpunktdee.yoshibot.utils;

public final class Logger {

	private static final String ANSI_RESET = "\u001B[0m";
	private static final String ANSI_GREEN = "\u001B[32m";
	private static final String ANSI_YELLOW = "\u001B[33m";
	private static final String ANSI_BLUE = "\u001B[34m";


	public static void logDebug(String message){
		System.out.printf("%s[%tT: Yoshi::DEBUG] %s%s%n",
						  ANSI_GREEN,
						  System.currentTimeMillis(),
						  message,
						  ANSI_RESET);
	}

	public static void logInfo(String message){
		System.out.printf("%s[%tT: Yoshi::INFO] %s%s%n",
						  ANSI_BLUE,
						  System.currentTimeMillis(),
						  message,
						  ANSI_RESET);
	}

	public static void logWarning(String message){
		System.out.printf("%s[%tT: Yoshi::WARNING] %s%s%n",
						  ANSI_YELLOW,
						  System.currentTimeMillis(),
						  message,
						  ANSI_RESET);
	}

	public static void logError(String message){
		System.err.printf("%s[%tT: Yoshi::ERROR] %s%s%n",
						  ANSI_YELLOW,
						  System.currentTimeMillis(),
						  message,
						  ANSI_RESET);
	}
	
}
